
MODEL="qwen_7B"
DATASET="MME"
EXP_TYPE="noise-color-edge-sharp-crop-erase-flip"

SEED="0"
CD_ALPHA="1.0"

for model in $MODEL; do
    for seed in $SEED; do
        for exp_type in $EXP_TYPE; do
            for cd_alpha in $CD_ALPHA; do
                custom_name="seed_${seed}_base"
                CUDA_VISIBLE_DEVICES=0 OMP_NUM_THREADS=1 python3 ./eval/vacode_qwen.py --config-name=main \
                model=$model dataset=$DATASET question_path=$DATASET exp_type=$exp_type \
                seed=$seed cd_alpha=$cd_alpha custom_name=$custom_name
            done
        done
    done
done